com.jscape.inet.ipclient

## Class IpClientException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - com.jscape.inet.ipclient.IpClientException

- All Implemented Interfaces:
    java.io.Serializable

      public class IpClientException
      extends java.lang.Exception

  IpClientException is thrown by many methods of IpClient class. The methods are masking various exception types into IpClientException, but the event message will be propagated.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `IpClientException(java.lang.String message)` Creates exception with specified message string.
    `IpClientException(java.lang.String message, java.lang.Throwable cause)` IpClientException is thrown by many methods of IpClient class.
    `IpClientException(java.lang.Throwable cause)`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### IpClientException

          public IpClientException(java.lang.String message)

      Creates exception with specified message string.
      Parameters:
        `message` - a message describing error

    - #### IpClientException

          public IpClientException(java.lang.String message,
                                   java.lang.Throwable cause)

      IpClientException is thrown by many methods of IpClient class. The methods are masking various exception types into IpClientException, but the event message will be propagated. In case that the cause for throwing IpClientException is not exception but invalid client operation or server response, IpClientException message will contain textual part of server response.
      Parameters:
        `message` - the message of exception
        `cause` - the exception which caused this exception

    - #### IpClientException

          public IpClientException(java.lang.Throwable cause)

Copyright © JSCAPE LLC. 1999-2021. All Rights Reserved